Search documentation of ExStreamClient

# ExStreamClient.Model.ExternalStorage (ExStreamClient v0.1.10)

View Source

Schema representing a ExternalStorage

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ExternalStorage{
      abs_account_name: String.t() | nil,
      abs_client_id: String.t() | nil,
      abs_client_secret: String.t() | nil,
      abs_tenant_id: String.t() | nil,
      bucket: String.t() | nil,
      gcs_credentials: String.t() | nil,
      path: String.t() | nil,
      s3_api_key: String.t() | nil,
      s3_custom_endpoint: String.t() | nil,
      s3_region: String.t() | nil,
      s3_secret_key: String.t() | nil,
      storage_name: String.t() | nil,
      storage_type: integer() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()